QXmpp: QXmppTrustMessageElement Class Reference

QXmpp Version: 1.14.3

Loading...
Searching...
No Matches
QXmppTrustMessageElement Class Reference

The QXmppTrustMessageElement class represents a trust message element as defined by XEP-0434: Trust Messages (TM). More...

## Public Member Functions
| QXmppTrustMessageElement ()
| QXmppTrustMessageElement (const QXmppTrustMessageElement &other)
| Copy-constructor.
| QXmppTrustMessageElement (QXmppTrustMessageElement &&)
| Move-constructor.
QXmppTrustMessageElement & | operator= (const QXmppTrustMessageElement &other)
| Assignment operator.
QXmppTrustMessageElement & | operator= (QXmppTrustMessageElement &&)
| Move-assignment operator.
QString | usage () const
void | setUsage (const QString &usage)
QString | encryption () const
void | setEncryption (const QString &encryption)
QList< QXmppTrustMessageKeyOwner > | keyOwners () const
void | setKeyOwners (const QList< QXmppTrustMessageKeyOwner > &keyOwners)
void | addKeyOwner (const QXmppTrustMessageKeyOwner &keyOwner)

## Static Public Member Functions
static bool | isTrustMessageElement (const QDomElement &element)

## Detailed Description

The QXmppTrustMessageElement class represents a trust message element as defined by XEP-0434: Trust Messages (TM).

Since
  QXmpp 1.5

## Constructor & Destructor Documentation

## ◆ QXmppTrustMessageElement()

QXmppTrustMessageElement::QXmppTrustMessageElement | ( |  | ) |

Constructs a trust message element.

## Member Function Documentation

## ◆ addKeyOwner()

void QXmppTrustMessageElement::addKeyOwner | ( | const QXmppTrustMessageKeyOwner & | keyOwner | ) |

Adds a key owner containing the corresponding information for trusting or distrusting the owners keys.

Parameters

  keyOwner | owner of the keys for trusting or distrusting

## ◆ encryption()

QString QXmppTrustMessageElement::encryption | ( |  | ) | const

Returns the namespace of the keys' encryption protocol.

Returns
  the encryption protocol namespace

## ◆ isTrustMessageElement()

bool QXmppTrustMessageElement::isTrustMessageElement | ( | const QDomElement & | element | ) |
| static

Determines whether the given DOM element is a trust message element.

Parameters

  element | DOM element being checked

Returns
  true if element is a trust message element, otherwise false

## ◆ keyOwners()

QList< QXmppTrustMessageKeyOwner > QXmppTrustMessageElement::keyOwners | ( |  | ) | const

Returns the key owners containing the corresponding information for trusting or distrusting their keys.

Returns
  the owners of the keys for trusting or distrusting

## ◆ setEncryption()

void QXmppTrustMessageElement::setEncryption | ( | const QString & | encryption | ) |

Sets the namespace of the keys' encryption protocol.

Parameters

  encryption | encryption protocol namespace

## ◆ setKeyOwners()

void QXmppTrustMessageElement::setKeyOwners | ( | const QList< QXmppTrustMessageKeyOwner > & | keyOwners | ) |

Sets the key owners containing the corresponding information for trusting or distrusting their keys.

Parameters

  keyOwners | owners of the keys for trusting or distrusting

## ◆ setUsage()

void QXmppTrustMessageElement::setUsage | ( | const QString & | usage | ) |

Sets the namespace of the trust management protocol.

Parameters

  usage | trust management protocol namespace

## ◆ usage()

QString QXmppTrustMessageElement::usage | ( |  | ) | const

Returns the namespace of the trust management protocol.

Returns
  the trust management protocol namespace

The documentation for this class was generated from the following files:

- QXmppTrustMessageElement.h
- QXmppTrustMessages.cpp